/*
 * IBM Confidential 
 *   
 * (c) Copyright IBM Corp. 2004  All Rights Reserved.
 *
 * The source code for this program is not published or otherwise 
 * divested of its trade secrets, irrespective of what has been 
 * deposited with the U.S. Copyright Office.
 */
import java.applet.Applet;

public class JavaInfo extends Applet
{
	
	public void init()
	{
   	}
	
	public String getJVMVersion()
	{		
		String version = "";
		try
		{
			version = (String)java.lang.System.getProperty("java.version");
		}
		catch (Exception e)
		{
		}
		if (version.equals(""))
		{
			version = "Unknown";
		}
		return version;
	}

	public String getJVMVendor()
	{		
		String vendor = "";
		try
		{
			vendor = (String)java.lang.System.getProperty("java.vendor") ;	
		}
		catch(Exception e)
		{
		}
		if (vendor.equals(""))
		{
			vendor = "Unknown";
		}
		return vendor;
	}
}